Bug 61845 - Remove outer-spin-button
Summary: Remove outer-spin-button
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Forms (show other bugs)
Version: 528+ (Nightly build)
Hardware: Macintosh OS X 10.6
: P2 Normal
Assignee: Kent Tamura
URL:
Keywords:
Depends on:
Blocks: 61415
  Show dependency treegraph
 
Reported: 2011-06-01 01:27 PDT by Kent Tamura
Modified: 2011-06-09 02:59 PDT (History)
4 users (show)

See Also:


Attachments
Patch (181.95 KB, patch)
2011-06-01 01:33 PDT, Kent Tamura
no flags Details | Formatted Diff | Diff
Patch for landing (185.65 KB, patch)
2011-06-01 18:56 PDT, Kent Tamura
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Kent Tamura 2011-06-01 01:27:47 PDT
Remove outer-spin-button because its layout code is too tricky, doesn't work correctly with padding and border, and hard to maintain.
Comment 1 Kent Tamura 2011-06-01 01:33:09 PDT
Created attachment 95562 [details]
Patch
Comment 2 Dimitri Glazkov (Google) 2011-06-01 09:34:01 PDT
Comment on attachment 95562 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=95562&action=review

I think simpler is better, so I like this change.

> LayoutTests/ChangeLog:13
> +        * platform/mac/fast/forms/input-appearance-spinbutton-expected.png:

The spin button looks a bit too close to the top.

> Source/WebCore/ChangeLog:8
> +        Remove outer-spin-button, and render steppers as inner-spin-button.

I think you need to put a bit more explanation as to why here in the log.
Comment 3 Kent Tamura 2011-06-01 18:56:44 PDT
Created attachment 95700 [details]
Patch for landing

* Update ChangeLog
* Clean SpinButtonElement too
* Adjust NSStepper position
Comment 4 Kent Tamura 2011-06-02 00:04:21 PDT
Committed r87881: <http://trac.webkit.org/changeset/87881>
Comment 6 Kent Tamura 2011-06-09 02:59:58 PDT
(In reply to comment #5)
> Maybe this fixed fast/forms/input-number-large-padding.html ?

Yes, it's possible to fix it on Apple Mac and Chromium Mac.
I'll confirm tomorrow.